> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Contact

> Creates a new contact with personal, company, and tag information.



## OpenAPI

````yaml POST /v2/contact/
openapi: 3.1.0
info:
  title: CloserX.ai API
  description: >-
    The CloserX.ai API provides programmatic access to manage AI-powered calling
    operations, including agent creation, campaign management, contact handling,
    telephony integration, and more. This API enables seamless automation and
    integration with CRM systems, telephony providers, and other third-party
    services for enhanced client communication and business operations.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.closerx.ai/api
security:
  - api_key: []
paths:
  /v2/contact/:
    post:
      summary: Create a new contact
      description: Creates a new contact with personal, company, and tag information.
      parameters:
        - name: Company-Name
          in: header
          required: true
          description: The schema name for multi-tenancy
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactRequest'
      responses:
        '200':
          description: Contact created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateContactResponse'
        '400':
          description: Invalid input or missing fields
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateContactRequest:
      type: object
      properties:
        id:
          type: string
          example: ''
        first_name:
          type: string
          example: Amandeep (testingg)
        last_name:
          type: string
          example: Singhh
        contact_number:
          type: string
          example: '+919999728776'
        email:
          type: string
          example: amanhxe@gmal.com
        company_name:
          type: string
          example: softvel
        industry:
          type: string
          example: IT
        custom1:
          type:
            - string
            - 'null'
          example: null
        custom2:
          type:
            - string
            - 'null'
          example: null
        custom3:
          type:
            - string
            - 'null'
          example: null
        custom4:
          type:
            - string
            - 'null'
          example: null
        tags:
          type: array
          items:
            type: object
            properties:
              tag_name:
                type: string
                example: agent_hangup
            required:
              - tag_name
      required:
        - first_name
        - last_name
        - contact_number
    CreateContactResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Success
        data:
          type: object
          properties:
            id:
              type: integer
              example: 4503
            contact_number:
              type: string
              example: '+919999728776'
            email:
              type: string
              example: amanhxe@gmal.com
            first_name:
              type: string
              example: Amandeep (testingg)
            last_name:
              type: string
              example: Singhh
            company_name:
              type: string
              example: softvel
            industry:
              type: string
              example: IT
            custom1:
              type:
                - string
                - 'null'
              example: null
            custom2:
              type:
                - string
                - 'null'
              example: null
            custom3:
              type:
                - string
                - 'null'
              example: null
            custom4:
              type:
                - string
                - 'null'
              example: null
            isactive:
              type: boolean
              example: true
            address:
              type:
                - string
                - 'null'
              example: null
            contact_id:
              type:
                - string
                - 'null'
              example: null
            tags:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: integer
                    example: 14
                  tag_name:
                    type: string
                    example: agent_hangup
    Error:
      required:
        - success
        - message
        - data
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key

````